Skip to content

Scheduler

post.cgi?sched_save

Set scheduler entries.

POST /post.cgi?sched_save

&sA=B*C*D*E*F*G*H&sA=B*C*D*E*F*G*H&sA=B*C*D*E*F*G*H&sA=B*C*D*E*F*G*H&sA=B*C*D*E*F*G*H&&
  • A is the item index, integer 0-49
  • B is the name of the entry, string
  • C is action to be taken, integer 0-14

    {
        "0": "OUT0",
        "1": "OUT1",
        "2": "OUT2",
        "3": "OUT3",
        "4": "OUT4",
        "5": "OUT5",
        "6": "PWM0",
        "7": "PWM1",
        "8": "PWM2",
        "9": "PWM3",
        "10": "EVENT1",
        "11": "EVENT2",
        "12": "EVENT3",
        "13": "EVENT4",
        "14": "LK3-RESTART",
    }
    
  • D it is the value of action, integer 0-1 (off/on)

  • E is time in seconds (time of the day or period of time), integer
  • F is timestamp for date divided by 86400000 if One day is chosen or 0 for Select day, integer
  • G determines days of week and function Periodically, integer 0-383 (9 bits, where first 7 are days of weeks - Monday to Sunday, 8th is 0, 9th is Periodically)
  • H determines whether the entry is active, integer 0-1

Example:

http://192.168.1.100/post.cgi?sched_save

&s0=dfsfsdf*0*0*36000*0*7*0&s1=dfsfsdfsss*14*1*39600*0*1*0&s2=kjhkh*1*1*39600*18482*0*0&s3=kjhkhf*1*1*39600*0*127*0&s4=kjhkhf*1*1*39600*0*383*0&&